Bug 30617 - allow lightdm autologin with specific user
allow lightdm autologin with specific user
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 enhancement
: UCC 2.0
Assigned To: Moritz Muehlenhoff
Erik Damrose
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-28 16:15 CET by Janek Walkenhorst
Modified: 2014-06-12 09:19 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
walkenhorst: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janek Walkenhorst univentionstaff 2013-02-28 16:15:40 CET
Currently enabling "lightdm/autologin" generates the configuration
 autologin-guest=true
. This creates a new user for each session; To allow autologin with a specific user the configuration must be
 autologin-user=USERNAME
with USERNAME being the user to use for the session.

The UCRV should be changed to allow this.
Comment 1 Janek Walkenhorst univentionstaff 2013-02-28 17:20:36 CET
Patch in SVN: dev@r39329
Comment 2 Moritz Muehlenhoff univentionstaff 2014-04-07 14:15:11 CEST
The new UCR variable lightdm/autologin/user allows the configuration of the user under which the automatic login should occur. If the variable is unset a temporary guest user is used as before.
Comment 3 Erik Damrose univentionstaff 2014-04-08 12:58:03 CEST
OK: automatic login with guest-user or the user defined via lightdm/autologin/user works. If a nonexisting user is set, login will fail silently and the greeter is shown. The user just has to be valid, no prior login has to happen.

OK: Changelog
Verified
Comment 4 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:42 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".